{% extends 'base_modal.html.twig' %}

{% block body %}
    <div class="modal fade" id="addEmpresaModal" tabindex="-1" role="dialog" aria-labelledby="addEmpresaModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="addEmpresaModalLabel">Adicionar Empresa</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label for="cnpj">CNPJ</label>
                        <input type="text" class="form-control" id="cnpj" maxlength="14">
                    </div>
                    <div class="form-group">
                        <label for="nome_fantasia">Nome Fantasia</label>
                        <input type="text" class="form-control" id="nome_fantasia" maxlength="255">
                    </div>
                    <div class="form-group">
                        <label for="razao_social">Razão Social</label>
                        <input type="text" class="form-control" id="razao_social" maxlength="255">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" onclick="add()">Salvar</button>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block scripts %}
    <script type="application/javascript">
        let cnpj = $('#cnpj');
        let nome_fantasia = $('#nome_fantasia');
        let razao_social = $('#razao_social');
        let socios = $('#partners');

        $.ajax({
            type: 'GET',
            url: '/api/socios/',
            data: {},
            dataType: 'json',
            success: function (data) {
                let html='';
                for(let socio of data){
                    html+=`<option value="${socio.id}">${socio.nome}</option>`;
                }
                socios.html(html);
                $('.selectpicker').selectpicker('refresh');
            }
        });

        cnpj.keypress(function (e) {
            if (e.which !== 8 && e.which !== 0 && (e.which < 48 || e.which > 57)) {
                e.preventDefault();
            }
        });

        function add(){
            $.ajax({
                type: 'POST',
                url: `/api/empresas`,
                data: {
                    cnpj: cnpj.val().trim(),
                    nome_fantasia: nome_fantasia.val().trim(),
                    razao_social: razao_social.val().trim(),
                },
                dataType: 'json',
                success: function () {
                    window.location.reload(true);
                }
            });
        }
    </script>
{% endblock %}
